@echo off

rem ----------------------------------------------------------------------
rem  DEMO.BAT - Sample batch file for encrypting a DCL file,
rem              writing a C source code file with the instructions
rem              for re-creating the DCL file, compiling and linking
rem              the executable to re-create the DCL file, and
rem              then re-creating it.
rem
rem  Version: 1.0
rem ----------------------------------------------------------------------
rem  Copyright 1994, Erik W. Olson
rem                  Valley LISP Consulting
rem                  1 (805) 294-9160
rem                  Compuserve:  71233,2747
rem                  ADGE Regapp code:  eavl
rem ----------------------------------------------------------------------
rem  THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
rem  WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
rem  PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
rem ----------------------------------------------------------------------
rem  DEMO.BAT requires:
rem
rem     1)  The SAMPLE.DCL dialog control file (provided with this disk)
rem         to be located in the current directory.
rem
rem     2)  A Microsoft-compatible compiler and linker, loaded
rem         and configured on the computer, with the executables
rem         (namely CL.EXE) available on the path.
rem
rem     3)  The sample build source file, MAKESAM.C (found on this
rem         disk) to be located in the current directory.
rem
rem     4)  A file compare program (MS-DOS's FC is used in this
rem         example) to be available on the path.
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Create copy of original file, with ".OLD" extension:
ECHO 
ECHO Copying original...
COPY SAMPLE.DCL SAMPLE.OLD > NUL
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Encrypt original file, write C source code file with
rem   ".CRP" extension:
ECHO 
ECHO Encrypting...
CRYPTSAM SAMPLE.DCL SAMPLE.CRP
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Delete original file.  This leaves us with the copy, SAMPLE.OLD,
rem   and the encrypted C source code file, SAMPLE.CRP
ECHO 
ECHO Deleting original...
DEL SAMPLE.DCL
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Compile and link the build source file, MAKESAM.C.
ECHO 
ECHO Compiling and linking...
CL MAKESAM.C
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Run this newly created executable, to recreate original 
rem   SAMPLE.DCL file.
ECHO 
ECHO Re-creating original...
MAKESAM
rem ----------------------------------------------------------------------

rem ----------------------------------------------------------------------
rem  Compare recreated original, SAMPLE.DCL with copy, SAMPLE.OLD.
ECHO 
ECHO Comparing copy of original with re-created original...
ECHO 
FC SAMPLE.OLD SAMPLE.DCL
rem ----------------------------------------------------------------------

